## org.apache.tomcat.util.collections
Class EmptyEnumeration

    java.lang.Object
      org.apache.tomcat.util.collections.EmptyEnumeration

All Implemented Interfaces:
  java.util.Enumeration

Deprecated.

    public class EmptyEnumeration

extends java.lang.Object
implements java.util.Enumeration

Constructor Summary
`EmptyEnumeration()` Deprecated.

Method Summary
`static java.util.Enumeration` `getEmptyEnumeration()` Deprecated.
`boolean` `hasMoreElements()` Deprecated.
`java.lang.Object` `nextElement()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmptyEnumeration

    public EmptyEnumeration()

  Deprecated.

Method Detail

### getEmptyEnumeration

    public static java.util.Enumeration getEmptyEnumeration()

  Deprecated.

### nextElement

    public java.lang.Object nextElement()

  Deprecated.
  Specified by:
    `nextElement` in interface `java.util.Enumeration`

### hasMoreElements

    public boolean hasMoreElements()

  Deprecated.
  Specified by:
    `hasMoreElements` in interface `java.util.Enumeration`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.